[project]
name = "Jcloude-CLI"
description = "CLI to manage jingrow cloud"
readme = "README.md"
license = "AGPL-3.0-only"
requires-python = ">=3.10"
authors = [
    { name = "Jingrow Technologies Pvt Ltd", email = "developers@framework.jingrow.com" },
]
classifiers = [
    "Development Status :: 5 - Production/Stable",
    "Environment :: Console",
    "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
    "Natural Language :: English",
    "Operating System :: MacOS",
    "Operating System :: OS Independent",
    "Topic :: Software Development :: Build Tools",
    "Topic :: Software Development :: User Interfaces",
    "Topic :: System :: Installation/Setup",
]
dependencies = [
    "typer==0.16.0",
    "requests<2.32",
]
dynamic = [
    "version",
]

[project.scripts]
jcloude-cli = "fc.main:app"

[project.urls]
Changelog = "http://git.jingrow.com/jingrow/jcloude/releases"
Documentation = "https://jcloud.jingrow.com/docs/user/en/bench"
Homepage = "https://jcloud.jingrow.com"
Source = "http://git.jingrow.com/jingrow/jcloude"

[build-system]
requires = [
    "hatchling==1.27.0",
]
build-backend = "hatchling.build"

[tool.hatch.version]
path = "fc/__init__.py"

[tool.hatch.build.targets.sdist]
include = [
  "/fc"
]

[tool.hatch.build.targets.wheel]
include = [
  "/fc"
]